Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class s2iNewProject

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--s2iNewProject

public class s2iNewProject
extends javax.swing.JFrame

A window for choosing the location of a new SpiTran project. Once complete, the s2iProjectSetup() window is invoked.

Author:
  Anish Malhotra, Cadence Design Systems
See Also:
  `s2iProjectSetup`, Serialized Form

Inner Class Summary
`(package private) class` | `s2iNewProject.dirFilter` A FileFilter class to make a JFileChooser choose only directories.
`(package private) class` | `s2iNewProject.s2iActionListener` A class for handling button and field events
`(package private) class` | `s2iNewProject.s2iWindowAdapter` A class for handling window events

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AWTTreeLock`

Field Summary
`(package private) boolean` | `fComponentsAdjusted` Has the window layout been adjusted?
`(package private) javax.swing.JButton` | `jBrowseButton`
`(package private) javax.swing.JButton` | `jCancelButton`
`(package private) javax.swing.JButton` | `jCreateButton`
`(package private) javax.swing.JLabel` | `jLocLabel`
`(package private) javax.swing.JTextField` | `jLocTextField`
`(package private) javax.swing.JTextField` | `jNameField`
`(package private) javax.swing.JLabel` | `jNameLabel`
`(package private) static java.lang.StringBuffer` | `LocationBuf` The directory in which the new project directory will be created
`(package private) java.awt.Component` | `parent`
`(package private) static java.lang.StringBuffer` | `ProjDirBuf` The name of the new project directory (not the full path)

Fields inherited from class javax.swing.JFrame
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`base, CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, frameSerializedDataVersion, HAND_CURSOR, icon, ICONIFIED, mbManagement, menuBar, MOVE_CURSOR, N_RESIZE_CURSOR, nameCounter, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, ownedWindows, resizable, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, serialVersionUID, state, SW_RESIZE_CURSOR, TEXT_CURSOR, title, W_RESIZE_CURSOR, WAIT_CURSOR, weakThis`

Fields inherited from class java.awt.Window
`active, base, focusMgr, inputContext, nameCounter, OPENED, ownedWindowList, serialVersionUID, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, maxSize, ncomponents, serialVersionUID`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, assert, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, hasFocus, height, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, serialVersionUID, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowListenerK, x, y`

Constructor Summary
`s2iNewProject()` Default constructor sets many defaults.
`s2iNewProject(java.awt.Component parent)` Constructor with a specified parent window.
`s2iNewProject(java.lang.String sTitle)` Constructor with a specified window title.

Method Summary
`void` | `addNotify()` Call the superclass addNotify method, then adjust the layout.
`(package private) void` | `jBrowseButton_actionPerformed(java.awt.event.ActionEvent event)` Use a JFileChooser to allow the user to choose the directory in which the new project directory will be created.
`(package private) void` | `jCancelButton_actionPerformed(java.awt.event.ActionEvent event)` Close the window with no further action.
`(package private) void` | `jCreateButton_actionPerformed(java.awt.event.ActionEvent event)` Create the new project.
`(package private) void` | `JFrame1_WindowClosing(java.awt.event.WindowEvent event)` Close the window.
`(package private) boolean` | `LocVerify()` Check a directory to see if we can create a new project directory in it.
`static void` | `main(java.lang.String[] args)` Test the s2iNewProject window.
`void` | `setVisible(boolean b)` Set the window visibility, resetting the winidow location when it becomes visible.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, createRootPaneException, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`, addToFrameList, constructComponentName, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, initIDs, isResizable, postProcessKeyEvent, readObject, remove, removeFromFrameList, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle, writeObject`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postWindowEvent, preProcessKeyEvent, processEvent, removeOwnedWindow, removeWindowListener, setFocusOwner, setWarningString, show, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, countComponents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPrint, list, list, locate, minimumSize, paint, paintComponents, postsOldMouseEvents, preferredSize, print, printComponents, printOneComponent, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### ProjDirBuf

    static java.lang.StringBuffer ProjDirBuf

  The name of the new project directory (not the full path)

### LocationBuf

    static java.lang.StringBuffer LocationBuf

  The directory in which the new project directory will be created

### fComponentsAdjusted

    boolean fComponentsAdjusted

  Has the window layout been adjusted?

### jNameLabel

    javax.swing.JLabel jNameLabel

### jNameField

    javax.swing.JTextField jNameField

### jLocLabel

    javax.swing.JLabel jLocLabel

### jLocTextField

    javax.swing.JTextField jLocTextField

### jCreateButton

    javax.swing.JButton jCreateButton

### jCancelButton

    javax.swing.JButton jCancelButton

### jBrowseButton

    javax.swing.JButton jBrowseButton

### parent

    java.awt.Component parent

Constructor Detail

### s2iNewProject

    public s2iNewProject()

  Default constructor sets many defaults.

### s2iNewProject

    public s2iNewProject(java.lang.String sTitle)

  Constructor with a specified window title.

### s2iNewProject

    public s2iNewProject(java.awt.Component parent)

  Constructor with a specified parent window.

Method Detail

### setVisible

    public void setVisible(boolean b)

  Set the window visibility, resetting the winidow location when it becomes visible.
  Parameters:
    `b` - true if the window should become visible
  Overrides:
    setVisible in class java.awt.Component

### main

    public static void main(java.lang.String[] args)

  Test the s2iNewProject window. Only creates the directory.
  Parameters:
    `args` - unused

### addNotify

    public void addNotify()

  Call the superclass addNotify method, then adjust the layout.
  Overrides:
    addNotify in class java.awt.Frame

### JFrame1_WindowClosing

    void JFrame1_WindowClosing(java.awt.event.WindowEvent event)

  Close the window. If there is no parent window, then quit the application. param event The event triggering the closing (unused)

### jCreateButton_actionPerformed

    void jCreateButton_actionPerformed(java.awt.event.ActionEvent event)

  Create the new project. A number of checks are made first. The Project Setup window is then invoked. param event The event triggering the action (unused)

### LocVerify

    boolean LocVerify()

  Check a directory to see if we can create a new project directory in it.
  Returns:
    true if a project directory can be created

### jCancelButton_actionPerformed

    void jCancelButton_actionPerformed(java.awt.event.ActionEvent event)

  Close the window with no further action.
  Parameters:
    `event` - The event triggering the cancel (unused)

### jBrowseButton_actionPerformed

    void jBrowseButton_actionPerformed(java.awt.event.ActionEvent event)

  Use a JFileChooser to allow the user to choose the directory in which the new project directory will be created. Only a directory may be chosen.
  Parameters:
    `event` - The event triggering the browse (unused)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD